<template>
  <label class="check">
    <input
      :value="value"
      type="checkbox"
      class="check__input"
      v-on:change="$emit('handle-change', $event)"
    />
    <span class="check__box"></span>
    <span class="check__label" v-text="name"></span>
  </label>
</template>
<script>
export default {
  name: "CheckboxComponent",
  emits: ["handle-change"],
  props: {
    value: [String, Boolean],
    name: {
      type: String,
    },
  },
};
</script>
<style lang="scss">
.check {
  display: flex;
  align-items: center;
  box-sizing: border-box;
  &__label {
    font-size: 12px;
  }
  &__input {
    display: none;
    &:checked ~ .check__box {
      background: #bfbfbf;
      &::before {
        visibility: visible;
      }
    }
  }
  &__box {
    width: 18px;
    height: 18px;
    display: flex;
    margin-right: 16px;
    border-radius: 5px;
    position: relative;
    background: #e6e6e6;
    box-sizing: border-box;
    border: 2px solid #b3b3b3;
    &::before {
      content: "";
      width: 10px;
      height: 10px;
      margin: auto;
      visibility: hidden;
      background: url("../assets/checked.svg") no-repeat center;
      background-size: contain;
    }
  }
}
</style>